(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26929,        743]
NotebookOptionsPosition[     25562,        714]
NotebookOutlinePosition[     26043,        732]
CellTagsIndexPosition[     26000,        729]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",Expression\
UUID->"10648b17-e4e8-4471-9484-1c74cf60b01b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Pel", ",", "Ptop"}], "}"}], ",", "info"}], "}"}], "=", 
    RowBox[{"<<", "\"\<struct\>\""}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Ta", " ", "vstupni", " ", "vzduch", " ", "do", " ", "TC"}], ",", 
    " ", 
    RowBox[{"Tw", " ", "vystupni", " ", "voda", " ", "z", " ", "TC"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Pel", "[", 
       RowBox[{"Ta", ",", "Tw"}], "]"}], ",", 
      RowBox[{"Ptop", "[", 
       RowBox[{"Ta", ",", "Tw"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Ta", ",", 
      RowBox[{"-", "40"}], ",", "40"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Tw", ",", "20", ",", "60"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.745555412*^9, 3.74555546403125*^9}, {
   3.74555626353125*^9, 3.745556316234375*^9}, 3.8036163513711863`*^9, {
   3.8036164419831123`*^9, 3.803616464881963*^9}, 
   3.803617759770912*^9},ExpressionUUID->"7efd15be-957a-4b41-b439-\
6838b7eec9e7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ClearAll", "[", "vydejDers", "]"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Taccu", " ", "teplota", " ", 
     RowBox[{"ukum", ".", " ", "nadrze"}]}], ",", " ", 
    RowBox[{"msteckou", " ", "prutok", " ", "v", " ", 
     RowBox[{"kg", "/", "s"}]}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vydejDers", "[", 
    RowBox[{"{", 
     RowBox[{"Ta_", ",", "Taccu_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Maccu", "=", "2000"}], ",", 
       RowBox[{"c", "=", "4186."}], ",", 
       RowBox[{"\[CapitalDelta]Bezp", "=", "3"}], ",", 
       RowBox[{"msteckouMax", "=", "0.6"}], ",", "Twmin", ",", "msteckou", 
       ",", "Twpom", ",", "Tw", ",", "msteckouMinTw", ",", "derTaccu", ",", 
       "derEel"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Twmin", "=", 
       RowBox[{
        RowBox[{"Pel", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], "+", 
        "\[CapitalDelta]Bezp"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Twpom", "=", 
       RowBox[{"Tw", "/.", 
        RowBox[{"Quiet", "@", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"msteckouMax", "*", "c", "*", 
             RowBox[{"(", 
              RowBox[{"Tw", "-", "Taccu"}], ")"}]}], "\[Equal]", 
            RowBox[{"1000", "*", 
             RowBox[{"Ptop", "[", 
              RowBox[{"Ta", ",", "Tw"}], "]"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"Tw", ",", "20"}], "}"}]}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"msteckouMinTw", "=", 
       FractionBox[
        RowBox[{"1000", "*", 
         RowBox[{"Ptop", "[", 
          RowBox[{"Ta", ",", "Twmin"}], "]"}]}], 
        RowBox[{"c", "*", 
         RowBox[{"(", 
          RowBox[{"Twmin", "-", "Taccu"}], ")"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"derTaccu", ":=", 
       RowBox[{
        FractionBox[
         RowBox[{"1000", "*", 
          RowBox[{"Ptop", "[", 
           RowBox[{"Ta", ",", "Twpom"}], "]"}]}], 
         RowBox[{"c", "*", "Maccu"}]], "/;", 
        RowBox[{"Twpom", "\[GreaterEqual]", "Twmin"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"derTaccu", ":=", 
       RowBox[{
        FractionBox[
         RowBox[{"1000", "*", 
          RowBox[{"Ptop", "[", 
           RowBox[{"Ta", ",", "Twmin"}], "]"}]}], 
         RowBox[{"c", "*", "Maccu"}]], "/;", 
        RowBox[{"Twpom", "<", "Twmin"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"derEel", ":=", 
       RowBox[{
        RowBox[{"1000", "*", 
         RowBox[{"Pel", "[", 
          RowBox[{"Ta", ",", "Twpom"}], "]"}]}], "/;", 
        RowBox[{"Twpom", "\[GreaterEqual]", "Twmin"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"derEel", ":=", 
       RowBox[{
        RowBox[{"1000", "*", 
         RowBox[{"Pel", "[", 
          RowBox[{"Ta", ",", "Twmin"}], "]"}]}], "/;", 
        RowBox[{"Twpom", "<", "Twmin"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"derTaccu", ",", "derEel"}], "}"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vydejDers", "[", 
  RowBox[{"{", 
   RowBox[{"5", ",", "5"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.745555766078125*^9, 3.7455557711875*^9}, {
   3.7455559709375*^9, 3.745556036953125*^9}, 3.745556260765625*^9, {
   3.745556496921875*^9, 3.745556562515625*^9}, {3.7455565975625*^9, 
   3.745556679578125*^9}, {3.745556972578125*^9, 3.74555700328125*^9}, {
   3.745557601140625*^9, 3.745557678203125*^9}, {3.7455578093125*^9, 
   3.745557929765625*^9}, {3.745557969953125*^9, 3.745558129515625*^9}, {
   3.745558174296875*^9, 3.745558390453125*^9}, {3.745558421640625*^9, 
   3.745558450515625*^9}, {3.745558480703125*^9, 3.74555863946875*^9}, 
   3.745558753421875*^9, {3.74555897478125*^9, 3.74555897690625*^9}, {
   3.745559179359375*^9, 
   3.74555918928125*^9}},ExpressionUUID->"b9c8964c-0ae9-412d-beef-\
5bcc81f8175f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0014584119364467625`", ",", "2170.401676307192`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.803617767492953*^9},ExpressionUUID->"22717bb2-0782-4bad-8513-\
4a2b1f37214f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"datDers", "=", 
   RowBox[{"Quiet", "@", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Ta", ",", "Taccu", ",", 
          RowBox[{"vydejDers", "[", 
           RowBox[{"{", 
            RowBox[{"Ta", ",", "Taccu"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Ta", ",", 
          RowBox[{"-", "30"}], ",", "40", ",", 
          RowBox[{"N", "[", 
           FractionBox["Pi", "E"], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Taccu", ",", "4", ",", "60", ",", 
          RowBox[{"N", "[", 
           FractionBox["E", "Pi"], "]"}]}], "}"}]}], "]"}], ",", "1"}], 
     "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7455587966875*^9, 3.745558915203125*^9}, {
   3.745558949265625*^9, 3.7455589529375*^9}, {3.745558995046875*^9, 
   3.7455590271875*^9}, 
   3.745559193703125*^9},ExpressionUUID->"b633c21a-21a0-4a88-80a6-\
3fd592db4fe8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"intDers", "=", 
   RowBox[{"Interpolation", "[", "datDers", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"intDers", "[", 
      RowBox[{
       RowBox[{"-", "5"}], ",", "10"}], "]"}], ",", 
     RowBox[{"vydejDers", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "10"}], "}"}], "]"}]}], "}"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"intDers", "[", 
     RowBox[{"Ta", ",", "Taccu"}], "]"}], " ", "vraci", " ", 
    RowBox[{"{", 
     RowBox[{"derTaccu", ",", "derEel"}], "}"}]}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.74555896209375*^9, 3.745558963578125*^9}, {
   3.74555901584375*^9, 3.745559037109375*^9}, {3.7455590675*^9, 
   3.745559077296875*^9}, {3.745559124984375*^9, 3.7455591663125*^9}, {
   3.745559200234375*^9, 3.745559294296875*^9}, 
   3.745563848890625*^9},ExpressionUUID->"adcda9c7-1e08-4e58-babd-\
0eeb39d74f97"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"den", "=", 
   RowBox[{"3600", "*", "24."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ampl", "=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TemperatureData", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1.4"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", ".2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3.7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "8.9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "13.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "17.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "19"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "18.5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"9", ",", "14.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"10", ",", "9.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "4.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"12", ",", ".3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"13", ",", 
       RowBox[{"-", "1.4"}]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pomfce", "=", 
   RowBox[{"Interpolation", "[", "TemperatureData", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Temperature", "[", "m_", "]"}], ":=", 
   RowBox[{
    RowBox[{"pomfce", "[", "m", "]"}], "/;", 
    RowBox[{"1", "\[LessEqual]", "m", "<", "13"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Temperature", "[", "m_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Temperature", "[", 
     RowBox[{"m", "-", "12"}], "]"}], "/;", 
    RowBox[{"m", "\[GreaterEqual]", "13"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Temperature", "[", "m_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Temperature", "[", 
     RowBox[{"m", "+", "12"}], "]"}], "/;", 
    RowBox[{"m", "<", "1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"secondsInMonth", "=", 
   RowBox[{"365.", "*", "24", "*", 
    RowBox[{"3600", "/", "12"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"teplsecpom", "[", "t_", "]"}], ":=", 
   RowBox[{"Temperature", "[", 
    FractionBox["t", "secondsInMonth"], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"year", "=", 
   RowBox[{"12", "*", "secondsInMonth"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"meanValueOfTemperature", "=", 
   RowBox[{
    FractionBox["1", "year"], 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"teplsecpom", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "year"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"desiredMeanValue", "=", "7.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"teplsec", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"teplsecpom", "[", "t", "]"}], "-", "meanValueOfTemperature", "+",
     "desiredMeanValue"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"teplDenni", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Ampl", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       FractionBox["t", "den"]}], "]"}]}], "+", 
    RowBox[{"teplsec", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"teplsec", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"12", "*", "secondsInMonth"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.745561257734375*^9, 
  3.74556125809375*^9}},ExpressionUUID->"4d89c182-5be2-45b9-90c5-\
f4157416c214"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "vydej2", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vydej2", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"TStart_", ",", "Tzadana_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"tStart_", ",", "Tvzduch_"}], "}"}]}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"c", "=", "4186."}], ",", 
       RowBox[{"MA", "=", "2000"}], ",", "derivace", ",", "RungeKuttaKrok", 
       ",", 
       RowBox[{"\[CapitalDelta]t", "=", 
        RowBox[{"10.", "*", "60"}]}], ",", "krok", ",", "T1a", ",", "sol", 
       ",", "TAa", ",", "T1aa", ",", "ta", ",", "tb", ",", "tEnd", ",", 
       "Etopna", ",", "ErealEl", ",", "COPReal", ",", "TAb", ",", "Eelb", ",",
        "Eela"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"derivace", "[", 
        RowBox[{"{", 
         RowBox[{"t_", ",", 
          RowBox[{"stav", ":", 
           RowBox[{"{", 
            RowBox[{"TAccu_", ",", "Eel_"}], "}"}]}]}], "}"}], "]"}], ":=", 
       RowBox[{"intDers", "[", 
        RowBox[{
         RowBox[{"Tvzduch", "[", "t", "]"}], ",", "TAccu"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"RungeKuttaKrok", "[", 
        RowBox[{"{", 
         RowBox[{"t_", ",", "y_"}], "}"}], "]"}], ":=", 
       RowBox[{"Module", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"k1", "=", 
           RowBox[{"derivace", "[", 
            RowBox[{"{", 
             RowBox[{"t", ",", "y"}], "}"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"k2", "=", 
           RowBox[{"derivace", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"t", "+", 
               FractionBox["\[CapitalDelta]t", "2"]}], ",", 
              RowBox[{"y", "+", 
               RowBox[{
                FractionBox["\[CapitalDelta]t", "2"], "*", "k1"}]}]}], "}"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"k3", "=", 
           RowBox[{"derivace", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"t", "+", 
               FractionBox["\[CapitalDelta]t", "2"]}], ",", 
              RowBox[{"y", "+", 
               RowBox[{
                FractionBox["\[CapitalDelta]t", "2"], "*", "k2"}]}]}], "}"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"k4", "=", 
           RowBox[{"derivace", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
              RowBox[{"y", "+", 
               RowBox[{"\[CapitalDelta]t", "*", "k3"}]}]}], "}"}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
            RowBox[{"y", "+", 
             RowBox[{
              FractionBox["\[CapitalDelta]t", "6"], "*", 
              RowBox[{"(", 
               RowBox[{"k1", "+", 
                RowBox[{"2", "k2"}], "+", 
                RowBox[{"2", "k3"}], "+", "k4"}], ")"}]}]}]}], "}"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"sol", "=", 
       RowBox[{"NestWhileList", "[", 
        RowBox[{"RungeKuttaKrok", ",", 
         RowBox[{"{", 
          RowBox[{"tStart", ",", 
           RowBox[{"{", 
            RowBox[{"TStart", ",", "0"}], "}"}]}], "}"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], "\[LessEqual]", 
           "Tzadana"}], "&"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ta", ",", 
           RowBox[{"{", 
            RowBox[{"TAa", ",", "Eela"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"tb", ",", 
           RowBox[{"{", 
            RowBox[{"TAb", ",", "Eelb"}], "}"}]}], "}"}]}], "}"}], "=", 
       RowBox[{"Take", "[", 
        RowBox[{"sol", ",", 
         RowBox[{"-", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"tEnd", "=", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "ta"}], " ", "TAb"}], "+", 
         RowBox[{"TAa", " ", "tb"}], "+", 
         RowBox[{"ta", " ", "Tzadana"}], "-", 
         RowBox[{"tb", " ", "Tzadana"}]}], 
        RowBox[{"TAa", "-", "TAb"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Etopna", "=", 
       RowBox[{"c", "*", "MA", "*", 
        RowBox[{"(", 
         RowBox[{"Tzadana", "-", "TStart"}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ErealEl", "=", 
       FractionBox[
        RowBox[{
         RowBox[{"Eelb", " ", "TAa"}], "-", 
         RowBox[{"Eela", " ", "TAb"}], "+", 
         RowBox[{"Eela", " ", "Tzadana"}], "-", 
         RowBox[{"Eelb", " ", "Tzadana"}]}], 
        RowBox[{"TAa", "-", "TAb"}]]}], ";", "\[IndentingNewLine]", 
      RowBox[{"COPReal", "=", 
       FractionBox["Etopna", "ErealEl"]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"ErealEl", ",", "Etopna", ",", "COPReal", ",", 
        RowBox[{"{", 
         RowBox[{"tStart", ",", "tEnd"}], "}"}]}], "}"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vydej2", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"10", ",", "50"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"180000", ",", "teplDenni"}], "}"}]}], "}"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.74556347309375*^9, 3.7455634751875*^9}, {
   3.745563508609375*^9, 3.74556352284375*^9}, 3.745563559078125*^9, 
   3.74556359884375*^9, 3.74556365359375*^9, {3.745563686609375*^9, 
   3.745563712609375*^9}, {3.74556382990625*^9, 3.745563841484375*^9}, {
   3.7455638728125*^9, 3.74556395090625*^9}, {3.74556401578125*^9, 
   3.7455640159375*^9}, 3.745564091296875*^9, {3.7455641285*^9, 
   3.7455643210625*^9}, {3.745564641453125*^9, 3.745564653890625*^9}, {
   3.745564992984375*^9, 3.74556506221875*^9}, {3.745565329046875*^9, 
   3.74556533715625*^9}},ExpressionUUID->"992ee1ee-9747-474e-82e9-\
2d913fed7d69"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"energie", ",", "dejBestStart"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myR", ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"Round", "[", 
      RowBox[{"100", "#"}], "]"}], "100."], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"energie", "[", "tStart_", "]"}], ":=", 
   RowBox[{"First", "@", 
    RowBox[{"Quiet", "@", 
     RowBox[{"vydej2", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"10", ",", "50"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"tStart", ",", "teplDenni"}], "}"}]}], "}"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dejBestStart", "[", "zacatek_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "data", ",", "triBody", ",", "fit", ",", "dost", ",", "minEel"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"data", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#", ",", 
           RowBox[{"energie", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
        RowBox[{"(", 
         RowBox[{"zacatek", "+", 
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "den", ",", 
            FractionBox["den", "24."]}], "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"triBody", "=", 
       RowBox[{"Take", "[", 
        RowBox[{
         RowBox[{"Sort", "[", 
          RowBox[{"data", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"#1", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "<", 
             RowBox[{"#2", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], ",", "3"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"fit", "=", 
       RowBox[{"Fit", "[", 
        RowBox[{"triBody", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "t", ",", 
           SuperscriptBox["t", "2"]}], "}"}], ",", "t"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"minEel", "=", 
       RowBox[{"fit", "/.", 
        RowBox[{"(", 
         RowBox[{"dost", "=", 
          RowBox[{
           RowBox[{"Solve", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"D", "[", 
               RowBox[{"fit", ",", "t"}], "]"}], "\[Equal]", "0"}], ",", 
             "t"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"data", "/.", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"t_", ",", "Ee_"}], "}"}], "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{"t", ",", 
              FractionBox["Ee", 
               SuperscriptBox["10", "6"]]}], "}"}]}]}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<tStart [s]\>\"", ",", "\"\<Eel [MJ]\>\""}], "}"}]}], 
          ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"\"\<Emin= \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"myR", "@", 
              FractionBox["minEel", 
               SuperscriptBox["10", "6"]]}], "]"}], "<>", "\"\< MJ\>\""}]}], 
          ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Black", ",", 
             RowBox[{"PointSize", "[", "0.01", "]"}]}], "}"}]}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"zacatek", ",", "0"}], "}"}]}], ",", 
          RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}], ",", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"t", "/.", "dost"}], ",", 
             FractionBox["minEel", 
              SuperscriptBox["10", "6"]]}], "}"}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Red", ",", 
             RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}]}], "]"}]}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pom", "=", 
  RowBox[{
   RowBox[{"dejBestStart", "[", 
    RowBox[{"350.4", "*", "den"}], "]"}], "//", 
   "Timing"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.745565164*^9, 3.745565221*^9}, {3.74556525109375*^9, 
  3.74556527221875*^9}, {3.745565358515625*^9, 
  3.74556536009375*^9}},ExpressionUUID->"16808322-f4fb-4853-a51a-\
7fc34b559128"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.25`", ",", 
   GraphicsBox[{{{}, {{}, 
       {GrayLevel[0], PointSize[0.01], AbsoluteThickness[1.6], 
        PointBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQ/R8I7O/XOG4948n0LCLCAcRXeFDj6KEUMtn1I4TP
+LDG8eSc8/2SbpFg/iMg346Pw3l/PIR/+FGNY8/LRbnXfCH8JY9rHLe9fOdy
SgbCb31S4xiyRW/GoisQ89Ke1jh6X13AeawSwnd/BuQfs+y+KQzhazyvcRTe
/Xeh4bJwMJ/zRY3jbI6Jn4r1IfxXQP6ar2dvua4PA/NPv6xxVOzoLnHXgvDX
vKpxfDGxL/7OilAwv/d1jaPR8kk5l00g/Lw3NY6GEwXii6+HgPn+b2scfysF
eN6fBeEbvKtxrF7quWBjJ4Qv+L7G8Rvzi46aVRD+JyB/SeNVu/pfEP7lDzWO
okr+TaaFEPO3fKxxrDPUtDfkgbhn6qcaxyoBeaFDpyD8ss81jsXHfDXXLYD4
J/xLjWPKnIzgT1kRDgCOuvKt
         "]]}, {}}, {}, {}, {}, {}}, {{}, {{}, 
       {RGBColor[1, 0, 0], PointSize[0.02], AbsoluteThickness[1.6], 
        PointBox[{{3.0335197560424615`*^7, 82.14193727734374}, {
         3.0335197560424615`*^7, 82.14193727734374}}]}, {}}, {}, {}, {}, {}}},
    AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
    Axes->{True, True},
    AxesLabel->{
      FormBox["\"tStart [s]\"", TraditionalForm], 
      FormBox["\"Eel [MJ]\"", TraditionalForm]},
    AxesOrigin->{3.0274559999999996`*^7, 0.},
    DisplayFunction->Identity,
    Frame->{{False, False}, {False, False}},
    FrameLabel->{{None, None}, {None, None}},
    FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
    GridLines->{Automatic, Automatic},
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    ImagePadding->All,
    Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
          (Identity[#]& )[
           Part[#, 1]], 
          (Identity[#]& )[
           Part[#, 2]]}& ), "CopiedValueFunction" -> ({
          (Identity[#]& )[
           Part[#, 1]], 
          (Identity[#]& )[
           Part[#, 2]]}& )}},
    PlotLabel->FormBox["\"Emin= 82.14 MJ\"", TraditionalForm],
    PlotRange->{{3.0274559999999996`*^7, 3.0360959999999996`*^7}, {0., 
     101.49604869639094`}},
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.05]}},
    Ticks->{Automatic, Automatic}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.803617772168282*^9},ExpressionUUID->"746cffcb-51ac-4b95-8748-\
c1892d826a8b"]
}, Open  ]]
},
WindowSize->{1082, 836},
WindowMargins->{{3, Automatic}, {Automatic, 4}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
Magnification->1.6000001430511475`,
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 387, 10, 106, "Input",ExpressionUUID->"10648b17-e4e8-4471-9484-1c74cf60b01b"],
Cell[947, 32, 1167, 33, 106, "Input",ExpressionUUID->"7efd15be-957a-4b41-b439-6838b7eec9e7"],
Cell[CellGroupData[{
Cell[2139, 69, 4109, 103, 661, "Input",ExpressionUUID->"b9c8964c-0ae9-412d-beef-5bcc81f8175f"],
Cell[6251, 174, 216, 6, 51, "Output",ExpressionUUID->"22717bb2-0782-4bad-8513-4a2b1f37214f"]
}, Open  ]],
Cell[6482, 183, 1000, 27, 161, "Input",ExpressionUUID->"b633c21a-21a0-4a88-80a6-3fd592db4fe8"],
Cell[7485, 212, 973, 27, 106, "Input",ExpressionUUID->"adcda9c7-1e08-4e58-babd-0eeb39d74f97"],
Cell[8461, 241, 3733, 113, 651, "Input",ExpressionUUID->"4d89c182-5be2-45b9-90c5-f4157416c214"],
Cell[12197, 356, 6451, 164, 1112, "Input",ExpressionUUID->"992ee1ee-9747-474e-82e9-2d913fed7d69"],
Cell[CellGroupData[{
Cell[18673, 524, 4642, 132, 800, "Input",ExpressionUUID->"16808322-f4fb-4853-a51a-7fc34b559128"],
Cell[23318, 658, 2228, 53, 222, "Output",ExpressionUUID->"746cffcb-51ac-4b95-8748-c1892d826a8b"]
}, Open  ]]
}
]
*)

