(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     44876,       1016]
NotebookOptionsPosition[     43562,        987]
NotebookOutlinePosition[     44083,       1006]
CellTagsIndexPosition[     44040,       1003]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Pel", ",", "Ptop"}], "}"}], ",", "info"}], "}"}], "=", 
    RowBox[{"<<", "\"\<struct\>\""}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Ta", " ", "vstupni", " ", "vzduch", " ", "do", " ", "TC"}], ",", 
    " ", 
    RowBox[{"Tw", " ", "vystupni", " ", "voda", " ", "z", " ", "TC"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Pel", "[", 
       RowBox[{"Ta", ",", "Tw"}], "]"}], ",", 
      RowBox[{"Ptop", "[", 
       RowBox[{"Ta", ",", "Tw"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Ta", ",", 
      RowBox[{"-", "40"}], ",", "40"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Tw", ",", "20", ",", "60"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pel", "[", 
    RowBox[{"Ta_", ",", "Tw_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["10", "3"], "*", 
    RowBox[{"Pel", "[", 
     RowBox[{"Ta", ",", "Tw"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ptop", "[", 
    RowBox[{"Ta_", ",", "Tw_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["10", "3"], "*", 
    RowBox[{"Ptop", "[", 
     RowBox[{"Ta", ",", "Tw"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"pel", "[", 
        RowBox[{"Ta", ",", "Tw"}], "]"}], ",", 
       RowBox[{"ptop", "[", 
        RowBox[{"Ta", ",", "Tw"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Ta", ",", 
       RowBox[{"-", "40"}], ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Tw", ",", "20", ",", "60"}], "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "vyresime", " ", "si", " ", "jeden", " ", "znamy", " ", "navrhovy", " ", 
    "stav"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"c", "=", "4186."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kW", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pnom", "=", 
   RowBox[{"35", "kW"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToutNom", "=", 
   RowBox[{"-", "15"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tw1nom", "=", "45"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tw2nom", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tin", "=", "24"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceZnamyStav", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"ptop", "[", 
       RowBox[{"ToutNom", ",", "Tw1nom"}], "]"}], "==", 
      RowBox[{"m", "*", "c", "*", 
       RowBox[{"(", 
        RowBox[{"Tw1nom", "-", "Tw2nom"}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{"ptop", "[", 
       RowBox[{"ToutNom", ",", "Tw1nom"}], "]"}], "==", 
      RowBox[{"kTop", "*", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"Tw1nom", "+", "Tw2nom"}], "2"], "-", "Tin"}], ")"}]}]}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"kTop", ",", "m"}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"kTop", ",", "m"}], "}"}], "/.", 
    RowBox[{
     RowBox[{"Solve", "[", "rceZnamyStav", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pzpom", "[", "T_", "]"}], "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ToutNom", ",", "Pnom"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pz", "[", "T_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Pzpom", "[", "T", "]"}], "/;", 
    RowBox[{"T", "\[LessEqual]", "13"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pz", "[", "T_", "]"}], ":=", 
   RowBox[{"0", "/;", 
    RowBox[{"T", ">", "13"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Pz", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", 
      RowBox[{"-", "20"}], ",", "20"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.9083465808345413`*^9, 3.9083468045865946`*^9, {3.9083474219532223`*^9, 
   3.9083474239630814`*^9}, {3.9083477979960513`*^9, 3.908347807426016*^9}, {
   3.908347847588135*^9, 3.908347864323634*^9}, {3.9083479949213066`*^9, 
   3.9083480672470617`*^9}, {3.9083482982450013`*^9, 3.908348327139237*^9}, {
   3.908348412765611*^9, 3.908348436428986*^9}, {3.908348492361576*^9, 
   3.908348505135191*^9}, {3.908348668968707*^9, 3.9083487381373587`*^9}, {
   3.9083487881788197`*^9, 3.9083488666229353`*^9}},
 CellLabel->
  "In[465]:=",ExpressionUUID->"5e3f9474-22d9-49c5-99bc-103b899814a6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"nalezneme", " ", "hranici", " ", "bivalence"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rceHranice", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"ptop", "[", 
         RowBox[{"ToutHranice", ",", "Tw1H"}], "]"}], "==", 
        RowBox[{"Pz", "[", "ToutHranice", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Pz", "[", "ToutHranice", "]"}], "==", 
        RowBox[{"m", "*", "c", "*", 
         RowBox[{"(", 
          RowBox[{"Tw1H", "-", "Tw2H"}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"Pz", "[", "ToutHranice", "]"}], "==", 
        RowBox[{"kTop", "*", 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{"Tw1H", "+", "Tw2H"}], "2"], "-", "Tin"}], ")"}]}]}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"solHranice", "=", 
     RowBox[{"Quiet", "@", 
      RowBox[{"FindRoot", "[", 
       RowBox[{"rceHranice", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"ToutHranice", ",", 
            RowBox[{"-", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Tw1H", ",", "30"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Tw2H", ",", "28"}], "}"}]}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"TaHranice", "=", 
    RowBox[{"ToutHranice", "/.", "solHranice"}]}]}]}]], "Input",
 CellChangeTimes->{{3.9083490683927164`*^9, 3.908349090052865*^9}, {
   3.9083491411688175`*^9, 3.9083492864960327`*^9}, {3.9083493446513577`*^9, 
   3.908349399402891*^9}, {3.9083494829932284`*^9, 3.908349527257053*^9}, {
   3.9083495931747494`*^9, 3.908349612332285*^9}, 3.908350941225827*^9},
 CellLabel->
  "In[486]:=",ExpressionUUID->"594c0ef2-bb9f-4f3e-a546-3d0cc75a7a71"],

Cell[BoxData["3.8104646774583726`"], "Output",
 CellChangeTimes->{
  3.908349400080575*^9, 3.908349487371626*^9, 3.908349527681348*^9, {
   3.9083496052619014`*^9, 3.9083496127094707`*^9}, 3.9083499910566015`*^9, 
   3.908350943301367*^9, 3.908351003259554*^9},
 CellLabel->
  "Out[488]=",ExpressionUUID->"ee47513d-bc1d-407e-9bb6-e1af610c6e33"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"pod", " ", "hranici", " ", "bivalence"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"rcePod", "[", "Tout_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"ptop", "[", 
          RowBox[{"Tout", ",", "Tw1"}], "]"}], "+", "Pk"}], "==", 
        RowBox[{"Pz", "[", "Tout", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ptop", "[", 
         RowBox[{"Tout", ",", "Tw1"}], "]"}], "==", 
        RowBox[{"m", "*", "c", "*", 
         RowBox[{"(", 
          RowBox[{"Tw1", "-", "Tw2"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ptop", "[", 
         RowBox[{"Tout", ",", "Tw1"}], "]"}], "==", 
        RowBox[{"kTop", "*", 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{"Tw1", "+", "Tw2"}], "2"], "-", "Tin"}], ")"}]}]}]}], 
      "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"solPod", "[", "Tout_", "]"}], ":=", 
     RowBox[{"Union", "[", 
      RowBox[{
       RowBox[{"Quiet", "@", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{"rcePod", "[", "Tout", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"Pk", ",", 
            RowBox[{"5", "kW"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Tw1", ",", "50"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Tw2", ",", "45"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"s", "->", "1"}], "}"}]}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9083496573714714`*^9, 3.9083496794997416`*^9}, {
   3.908349716780114*^9, 3.908349845323182*^9}, {3.908349907842401*^9, 
   3.9083499140091295`*^9}, {3.9083499817588825`*^9, 3.90835016538216*^9}, {
   3.9083502215346174`*^9, 3.908350229680769*^9}, 3.908350709039791*^9},
 CellLabel->
  "In[489]:=",ExpressionUUID->"5e8d2f47-ad87-4cbd-9847-7326c3cbe5f7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"nad", " ", "hranici", " ", "bivalence"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"rceNad", "[", "Tout_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"s", "*", 
         RowBox[{"ptop", "[", 
          RowBox[{"Tout", ",", "Tw1"}], "]"}]}], "==", 
        RowBox[{"Pz", "[", "Tout", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"s", "*", 
         RowBox[{"ptop", "[", 
          RowBox[{"Tout", ",", "Tw1"}], "]"}]}], "==", 
        RowBox[{"m", "*", "c", "*", 
         RowBox[{"(", 
          RowBox[{"Tw1", "-", "Tw2"}], ")"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"s", "*", 
         RowBox[{"ptop", "[", 
          RowBox[{"Tout", ",", "Tw1"}], "]"}]}], "==", 
        RowBox[{"kTop", "*", 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{"Tw1", "+", "Tw2"}], "2"], "-", "Tin"}], ")"}]}]}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"solNad", "[", "Tout_", "]"}], ":=", 
     RowBox[{"Union", "[", 
      RowBox[{
       RowBox[{"Quiet", "@", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{"rceNad", "[", "Tout", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"s", ",", "0.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Tw1", ",", "50"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Tw2", ",", "45"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"Pk", "->", "0"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.9083502339217043`*^9, 3.9083502603529863`*^9}, {
  3.908350292942568*^9, 3.908350305840617*^9}, {3.908350379533*^9, 
  3.9083504705311904`*^9}, {3.9083509795723543`*^9, 3.908350981802251*^9}},
 CellLabel->
  "In[491]:=",ExpressionUUID->"1ab4aab2-9982-464a-bcdd-552b1e09c4ce"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"sol", "[", "Tout_", "]"}], ":=", 
   RowBox[{
    RowBox[{"solNad", "[", "Tout", "]"}], "/;", 
    RowBox[{"Tout", "\[GreaterEqual]", "TaHranice"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sol", "[", "Tout_", "]"}], ":=", 
   RowBox[{
    RowBox[{"solPod", "[", "Tout", "]"}], "/;", 
    RowBox[{"Tout", "<", "TaHranice"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.9083504995411735`*^9, 3.9083506261115026`*^9}, {
  3.908350697269283*^9, 3.9083507034373198`*^9}},
 CellLabel->
  "In[493]:=",ExpressionUUID->"6e843b82-0c8e-4d42-966f-3e50e006ff11"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataPelTC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Tout", ",", 
       RowBox[{
        RowBox[{"s", "*", 
         RowBox[{"pel", "[", 
          RowBox[{"Tout", ",", "Tw1"}], "]"}]}], "/.", 
        RowBox[{"sol", "[", "Tout", "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Tout", ",", 
       RowBox[{"-", "30"}], ",", "40", ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataPK", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Tout", ",", 
       RowBox[{"Pk", "/.", 
        RowBox[{"sol", "[", "Tout", "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Tout", ",", 
       RowBox[{"-", "30"}], ",", "40", ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataPtopTC", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Tout", ",", 
       RowBox[{
        RowBox[{"s", "*", 
         RowBox[{"ptop", "[", 
          RowBox[{"Tout", ",", "Tw1"}], "]"}]}], "/.", 
        RowBox[{"sol", "[", "Tout", "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Tout", ",", 
       RowBox[{"-", "30"}], ",", "40", ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.908350800940851*^9, 3.908350925103348*^9}, {
  3.9083509601886544`*^9, 3.908350963792639*^9}, {3.908350994418259*^9, 
  3.908350999249714*^9}, {3.9083511181675615`*^9, 3.9083511391825633`*^9}},
 CellLabel->
  "In[501]:=",ExpressionUUID->"3ca8b3ce-fe11-40d9-900f-3cf2be6b19a4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ipel", "=", 
   RowBox[{"Interpolation", "[", "dataPelTC", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipk", "=", 
   RowBox[{"Interpolation", "[", "dataPK", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"iptop", "=", 
   RowBox[{"Interpolation", "[", "dataPtopTC", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ipel", "[", "T", "]"}], ",", 
     RowBox[{"ipk", "[", "T", "]"}], ",", 
     RowBox[{"iptop", "[", "T", "]"}], ",", 
     RowBox[{"Pz", "[", "T", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"T", ",", 
     RowBox[{"-", "20"}], ",", "15"}], "}"}], ",", 
   RowBox[{"AxesLabel", "->", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Tout[\[Degree]C]\>\"", ",", 
      "\"\< \!\(\*StyleBox[\"Pel\",FontColor->RGBColor[0, 0, 1]]\) \
\!\(\*StyleBox[\"PK\",FontColor->RGBColor[1, 0, 0]]\) \!\(\*StyleBox[\"PtopTC\
\",FontColor->RGBColor[1, 0, 1]]\), \
\!\(\*StyleBox[\"PZ\",FontColor->GrayLevel[0]]\) [W] \>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "->", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", "Red", ",", "Magenta", ",", 
      RowBox[{"{", 
       RowBox[{"Black", ",", "Dashed"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotRange", "->", "All"}], ",", 
   RowBox[{"GridLines", "->", "Full"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.9083510232402163`*^9, 3.908351050706132*^9}, {
  3.9083510852883987`*^9, 3.9083511077719264`*^9}, {3.908351145840191*^9, 
  3.9083512722365274`*^9}, {3.9083513051240826`*^9, 3.9083513394941053`*^9}},
 CellLabel->
  "In[512]:=",ExpressionUUID->"f1f9108e-00b4-4912-ad57-4c1dbc167a89"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0, 0, 1], AbsoluteThickness[1.6], Opacity[1.], 
      LineBox[CompressedData["
1:eJxF13k0VP//B3Dr2Lds2cqWZcxQSVlG80KhXSWkKLJmC1FJEi2UUKikkJRk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       "]]},
     Annotation[#, "Charting`Private`Tag$37189#1"]& ], 
    TagBox[
     {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
      LineBox[CompressedData["
1:eJxFz3k0lH0bB3AeYsYyc08LQllijCxDkzbbRbJWtrKkqJSkBY+lFNkKScZW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       "]]},
     Annotation[#, "Charting`Private`Tag$37189#2"]& ], 
    TagBox[
     {RGBColor[1, 0, 1], AbsoluteThickness[1.6], Opacity[1.], 
      LineBox[CompressedData["
1:eJxF13k0Vd/bAHAk81gRoszcyZCUuNd50qBBJcmcOXOECClj0mCWSKhUMhRR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       "]]},
     Annotation[#, "Charting`Private`Tag$37189#3"]& ], 
    TagBox[
     {GrayLevel[0], AbsoluteThickness[1.6], Opacity[1.], 
      Dashing[{Small, Small}], LineBox[CompressedData["
1:eJxFyQ84FHYcBvATmdp1kZJD43R0dxS6tQntvqcrksmfcNRKxaaSkjK2Wxkm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       "]]},
     Annotation[#, "Charting`Private`Tag$37189#4"]& ]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["\"Tout[\[Degree]C]\"", HoldForm], TraditionalForm], 
    FormBox[
     TagBox[
     "\" \\!\\(\\*StyleBox[\\\"Pel\\\",FontColor->RGBColor[0, 0, 1]]\\) \
\\!\\(\\*StyleBox[\\\"PK\\\",FontColor->RGBColor[1, 0, 0]]\\) \
\\!\\(\\*StyleBox[\\\"PtopTC\\\",FontColor->RGBColor[1, 0, 1]]\\), \
\\!\\(\\*StyleBox[\\\"PZ\\\",FontColor->GrayLevel[0]]\\) [W] \"", HoldForm], 
     TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->
   FrontEndValueCache[{
    Charting`ScaledTickValues[{Identity, Identity}][#, #2, {6, 6}]& , 
     Charting`ScaledTickValues[{Identity, Identity}][#, #2, {6, 
      6}]& }, {{{-20., 
       Directive[]}, {-10., 
       Directive[]}, {0., 
       Directive[]}, {10., 
       Directive[]}, {-30., 
       Directive[]}, {-28., 
       Directive[]}, {-26., 
       Directive[]}, {-24., 
       Directive[]}, {-22., 
       Directive[]}, {-18., 
       Directive[]}, {-16., 
       Directive[]}, {-14., 
       Directive[]}, {-12., 
       Directive[]}, {-8., 
       Directive[]}, {-6., 
       Directive[]}, {-4., 
       Directive[]}, {-2., 
       Directive[]}, {2., 
       Directive[]}, {4., 
       Directive[]}, {6., 
       Directive[]}, {8., 
       Directive[]}, {12., 
       Directive[]}, {14., 
       Directive[]}, {16., 
       Directive[]}, {18., 
       Directive[]}, {20., 
       Directive[]}}, {{0., 
       Directive[]}, {10000., 
       Directive[]}, {20000., 
       Directive[]}, {30000., 
       Directive[]}, {40000., 
       Directive[]}, {-10000., 
       Directive[]}, {-8000., 
       Directive[]}, {-6000., 
       Directive[]}, {-4000., 
       Directive[]}, {-2000., 
       Directive[]}, {2000., 
       Directive[]}, {4000., 
       Directive[]}, {6000., 
       Directive[]}, {8000., 
       Directive[]}, {12000., 
       Directive[]}, {14000., 
       Directive[]}, {16000., 
       Directive[]}, {18000., 
       Directive[]}, {22000., 
       Directive[]}, {24000., 
       Directive[]}, {26000., 
       Directive[]}, {28000., 
       Directive[]}, {32000., 
       Directive[]}, {34000., 
       Directive[]}, {36000., 
       Directive[]}, {38000., 
       Directive[]}, {42000., 
       Directive[]}, {44000., 
       Directive[]}, {46000., 
       Directive[]}, {48000., 
       Directive[]}, {50000., 
       Directive[]}}}],
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.908351081632019*^9, 3.908351086450199*^9}, 
   3.9083511634765615`*^9, {3.908351315490389*^9, 3.9083513400791855`*^9}},
 CellLabel->
  "Out[515]=",ExpressionUUID->"3bb55a21-08e7-4d17-9ba0-73f00889c4e0"]
}, Open  ]]
},
WindowSize->{1284., 747.75},
WindowMargins->{{3, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
Magnification:>2.,
FrontEndVersion->"13.1 for Microsoft Windows (64-bit) (August 22, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"3d28952a-f4a9-40e2-bb9d-6e3c0322c949"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 5350, 162, 1138, "Input",ExpressionUUID->"5e3f9474-22d9-49c5-99bc-103b899814a6"],
Cell[CellGroupData[{
Cell[5933, 186, 1838, 49, 377, "Input",ExpressionUUID->"594c0ef2-bb9f-4f3e-a546-3d0cc75a7a71"],
Cell[7774, 237, 344, 6, 64, "Output",ExpressionUUID->"ee47513d-bc1d-407e-9bb6-e1af610c6e33"]
}, Open  ]],
Cell[8133, 246, 2022, 54, 394, "Input",ExpressionUUID->"5e8d2f47-ad87-4cbd-9847-7326c3cbe5f7"],
Cell[10158, 302, 1982, 55, 376, "Input",ExpressionUUID->"1ab4aab2-9982-464a-bcdd-552b1e09c4ce"],
Cell[12143, 359, 628, 17, 95, "Input",ExpressionUUID->"6e843b82-0c8e-4d42-966f-3e50e006ff11"],
Cell[12774, 378, 1596, 47, 171, "Input",ExpressionUUID->"3ca8b3ce-fe11-40d9-900f-3cf2be6b19a4"],
Cell[CellGroupData[{
Cell[14395, 429, 1684, 43, 285, "Input",ExpressionUUID->"f1f9108e-00b4-4912-ad57-4c1dbc167a89"],
Cell[16082, 474, 27464, 510, 463, "Output",ExpressionUUID->"3bb55a21-08e7-4d17-9ba0-73f00889c4e0"]
}, Open  ]]
}
]
*)

